# -*- rpm-spec -*-

Name: jpilot
Summary: Palm pilot desktop for Linux
Summary(ru_RU.KOI8-R): Palm pilot desktop  Linux
Version: 0.99.6
Release: alt3
License: GPL
Group: Communications
Url: http://www.jpilot.org
Source: http://wwww.jpilot.org/snapshot/%name-%{version}.tar.bz2
Source1: jpilot-icons.tar.bz2
Source2: jpilot-0.9.6-ru.po
Patch1: %name-0.99.6-alt-makefile.patch
Requires: pilot-link >= 0.11.5

# Automatically added by buildreq on Thu Sep 11 2003
BuildRequires: XFree86-devel XFree86-libs gcc-c++ glib-devel gtk+-devel intltool libpilot-link-devel libssl-devel libstdc++-devel pkgconfig gettext-devel

%description
J-Pilot is a desktop organizer application for the palm pilot that runs
under Linux and UNIX.  It is similar in functionality to the one that 3com
distributes for a well known rampant legacy operating system.

%description -l ru_RU.KOI8-R
J-Pilot -    Palm pilot,    Linux  UNIX.
     ,  3com  
   .

%package plugins-devel
Summary: Library and header file needed for jpilot plugin development
Group: Communications
Requires: %name = %version-%release

%description plugins-devel
J-Pilot is a desktop organizer application for the palm pilot that runs
under Linux and UNIX.  It is similar in functionality to the one that 3com
distributes for a well known rampant legacy operating system.

The library and header file required for plugin development

%prep
%setup -q 
%patch1 -p1
cp %SOURCE2 po/ru.po

%build
./autogen.sh
%configure
make

%install
%__install -d %buildroot/{%_mandir/man1,%_bindir}
%makeinstall

%__install -d html
%__install docs/*.html docs/*.png html

%__install -d %buildroot%_datadir/%name
%__install jpilotrc.* %buildroot%_datadir/%name
%__install empty/*.pdb %buildroot%_datadir/%name

%__install -d %buildroot%_libdir/jpilot/plugins
for i in Expense SyncTime KeyRing ; do 
    %makeinstall libdir=%buildroot%_libdir/jpilot/plugins -C $i install
done
perl -p -i -e 's|%buildroot||' %buildroot/%_libdir/jpilot/plugins/*la

install -m 644 {libplugin,prefs}.h %buildroot%_libdir/jpilot/plugins/

install -d %buildroot/%_iconsdir
tar xvjf %SOURCE1 -C %buildroot/%_iconsdir

mkdir -p %buildroot%_libdir/menu/
cat << EOF > %buildroot%_libdir/menu/%name
?package(jpilot): \
  needs=x11\
  section=Office/PDA\
  title=J-Pilot\
  longtitle="A tools for your palm pilot"\
  icon=jpilot.xpm\
  command=jpilot
EOF

# Fix jpilot doc bug
rm -rf %buildroot/usr/doc

%find_lang %name

%post
%update_menus
/sbin/ldconfig

%postun
%clean_menus
/sbin/ldconfig

%files -f %name.lang
%doc AUTHORS BUGS ChangeLog INSTALL README TODO UPGRADING html
%_bindir/*
%_datadir/jpilot/jpilotrc.*
%_datadir/jpilot/*.pdb
%_datadir/icons/*xpm
%_datadir/icons/*/*xpm
%dir %_libdir/%name
%dir %_libdir/%name/plugins
%_libdir/%name/plugins/*.so*
%_libdir/menu/jpilot
%_mandir/man1/*

%files plugins-devel
%dir %_libdir/%name
%dir %_libdir/%name/plugins
%_libdir/jpilot/plugins/libplugin.h
%_libdir/jpilot/plugins/prefs.h
%_libdir/%name/plugins/*.la

%changelog
* Tue Sep 09 2003 Andrey Brindeew <abr@altlinux.ru> 0.99.6-alt3
- Specfile minor fix
- BuilRequires list updated

* Sat Sep 06 2003 Andrey Brindeew <abr@altlinux.ru> 0.99.6-alt2
- Russian translation updated

* Fri Jul 18 2003 Andrey Brindeew <abr@altlinux.ru> 0.99.6-alt1
- 0.99.6

* Mon May 12 2003 Andrey Brindeew <abr@altlinux.ru> 0.99.5-alt1
- 0.99.5
- Patches were reorganized
- Moved from "Applications/Communictions" to "Office/PDA" in menu
- Russian translation updated
- Fixed a bug with illegal cats names recoding

* Wed Oct 16 2002 Alexander Bokovoy <ab@altlinux.ru> 0.99.3-alt2
- Russian translation updated
- Spec file cleaned and updated to 0.99.3

* Tue Oct 15 2002 Alexander Bokovoy <ab@altlinux.ru> 0.99.3-alt1
- 0.99.3
- Rebuild against pilot-link 0.11.5

* Sat Mar 02 2002 Alexander Bokovoy <ab@altlinux.ru> 0.99.2-alt2
- Minor fix in Russian translation

* Wed Feb 06 2002 Alexander Bokovoy <ab@altlinux.ru> 0.99.2-alt1
- 0.99.2
- Russian translation updated
- Charset clarification added (English -> English/No Conversion)

* Fri Nov 16 2001 Alexander Bokovoy <ab@altlinux.ru> 0.99.1-alt2
- Added Russian translation

* Tue Oct 09 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.99.1-alt1
- First build for ALT Linux

* Sat Sep 29 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.4mdk
- rpmlint fixes.

* Sat Jun 23 2001 Stefan van der Eijk <stefan@eijk.nu> 0.99.1-0.3mdk
- BuildRequires:	gtk+-devel

* Wed Jun 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.2mdk
- Fix plugins loading.

* Wed Jun 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.1mdk
- Sanitize spec file.
- 0.99.1 pre.

* Sun Jun 10 2001 Stefan van der Eijk <stefan@eijk.nu> 0.99-3mdk
- BuildRequires: pilot-link-devel

* Sun Apr 22 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.99-2mdk
- need prefs.h in plugins for jpilot-syncmal

* Thu Feb 08 2001 Geoffrey lee <snailtalk@mandrakesoft.com> 0.99-1mdk
- new and shiny source.
- change the URL.
- change the URL on the source tag.
- Don't apply patch1 anymore. (security mode 0700 fix.)
- remove libplugin.a (can't find it anymore.)
- when using tar use -j to pass through the bzip2 filter, not -I.

* Fri Dec 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.98.1-7mdk
- Create directory as 0700.

* Fri Nov 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.98.1-6mdk
- Rebuilt for gcc 2.96

* Wed Sep 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.98.1-4mdk
- Add info about usb.

* Fri Aug 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.98.1-3mdk
- fixed stupid error in changelog

* Fri Aug 11 2000 Vincent Danen <molnarc@mandrakesoft.com> 0.98.1-2mdk
- Added plugin lib for future development
- Added plugindevel package

* Wed Jul 26 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.98.1-1mdk
- initial mandrake build
- remove expense plugin
